org.apache.tools.ant.taskdefs.compilers

## Class Javac13

- java.lang.Object
- - org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter
  - - org.apache.tools.ant.taskdefs.compilers.Javac13

All Implemented Interfaces:
  CompilerAdapter, CompilerAdapterExtension

    public class Javac13
    extends DefaultCompilerAdapter

The implementation of the javac compiler for JDK 1.3 This is primarily a cut-and-paste from the original javac task before it was refactored.

Since:
  Ant 1.3

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

`attributes, bootclasspath, compileClasspath, compileList, compileSourcepath, debug, depend, deprecation, destDir, encoding, extdirs, includeAntRuntime, includeJavaRuntime, location, lSep, memoryInitialSize, memoryMaximumSize, modulepath, moduleSourcepath, optimize, project, release, src, target, upgrademodulepath, verbose`

### Constructor Summary

Constructors
Constructor and Description
`Javac13()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `execute()` Run the compilation.

### Methods inherited from class org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter

`addCurrentCompilerArgs, addExtdirsToClasspath, assumeJava11, assumeJava12, assumeJava13, assumeJava14, assumeJava15, assumeJava16, assumeJava17, assumeJava18, assumeJava19, assumeJava9, executeExternalCompile, executeExternalCompile, getBootClassPath, getCompileClasspath, getJavac, getModulepath, getModulesourcepath, getNoDebugArgument, getProject, getSupportedFileExtensions, getUpgrademodulepath, logAndAddFilesToCompile, setJavac, setupJavacCommand, setupJavacCommand, setupJavacCommandlineSwitches, setupJavacCommandlineSwitches, setupModernJavacCommand, setupModernJavacCommandlineSwitches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Javac13

    public Javac13()

### Method Detail

#### execute

    public boolean execute()
                    throws BuildException

Run the compilation.

Returns:
  true if the compiler ran with a zero exit result (ok)
Throws:
  `BuildException` - if the compilation has problems.